wicket-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Martijn Dashorst" <martijn.dasho...@gmail.com>
Subject Re: Maven 2 project structure with wicket-parent
Date Mon, 05 Feb 2007 15:54:48 GMT
-1

I have set this up so that I can run with jdk 1.4 and build the 1.4
projects *USING* only 1.4, and ONLY the 1.5 projects when I run using
1.5. This is to prevent any 1.5 stuff from entering our project.

Martijn

On 2/5/07, Al Maw <wicket@almaw.com> wrote:
> Hi.
>
> At the moment, you need to run wicket-parent's "mvn install" with a
> profile (-Pjdk1.4) to get it to build things if you have a JDK5 install.
> This isn't terribly obvious, to say the least.
>
> I'd like to propose we move the JDK1.4 modules in that profile out into
> the main build, as we *always* want to build these, regardless of
> whether we're on JDK5 or not. If you're on JDK5 it'll then build the 1.4
> modules and the 1.5 ones, which is definitely the desired behaviour IMHO.
>
> You'll then be able to run Maven 2 from wicket-parent and have it do the
> "right thing" whether you're on JDK 1.4 or JDK 5.
>
> I've fixed the license headers for everything, too, with this you'd be
> able to go like this to have a fully-working set of modules in your
> local repository:
>
> svn co https://svn.sourceforge.net/svnroot/wicket/branches/wicket-1.x/
> cd wicket-1.x/wicket-parent
> mvn install
>
> ...and have it all Just Work(tm), even when you don't have anything in
> an existing repository - it should bootstrap itself properly.
>
> Let me know if there's some reason to object to this, otherwise I'll
> commit it shortly.
>
> Al
>


-- 
Vote for Wicket at the http://www.thebeststuffintheworld.com/vote_for/wicket
Wicket 1.2.4 is as easy as 1-2-4. Download Wicket now!
http://wicketframework.org

Mime
View raw message